JavaScript предоставляет собственный способ перечисления всех доступных ключей объекта. Это может быть полезно для перебора всех свойств объекта и соответственно манипулирования их значениями.

Вот пример перечисления всех ключей объекта с использованием метода-прототипа **Object.keys()**.

```js
const car = {
  make: 'Toyota',
  model: 'Camry',
  year: 2020
}
const keys = Object.keys(car)

console.log(keys)
```

Код выше выведет массив строк, где каждая строка - ключ в объекте "авто". `['make', 'model', 'year']`

## The challenge:

Создайте файл с именем `object-keys.js`.

В этом файле объявите переменную с именем `car` вот так:

```js
const car = {
  make: 'Honda',
  model: 'Accord',
  year: 2020
}
```

Затем объявите другую переменную с именем `keys` вот так:
```js
const keys = Object.keys(car)
```

Используйте `console.log()` для вывода переменной `keys` в терминал.

Проверьте, правильна ли ваша программа, выполнив эту команду:

```bash
javascripting verify object-keys.js
```
